---
stages:
  - docker

# Define a generic docker build & push job
docker:
  image: docker:latest
  stage: docker
  before_script:
    - docker login -u gitlab-ci-token -p ${CI_BUILD_TOKEN} ${CI_REGISTRY}
    - docker login https://docker.pkg.github.com -u rodrigo.tenorio -p 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
  variables:
    IMAGE_TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
  script:
    - docker pull $IMAGE_TAG || true
    - docker build --cache-from $IMAGE_TAG --tag $IMAGE_TAG .
    - docker push $IMAGE_TAG
